/*
 * COMMON
 */

body, html {
    width: 100%;
    height: 100%;
    overflow: hidden;
    /*background-color: #eeeeee;*/
    color: #536272;
    text-align: center;
    margin: 0 !important;
    padding: 0 !important;
    font-family: 'Roboto Condensed', sans-serif !important;

    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-tap-highlight-color: transparent;
}

input {
    font-size: 1em;
    padding: 0.4em 0.3em 0.5em;
    margin: 0.25em 0;

    -moz-user-select: text; /* Firefox */
    user-select: text; /* Standard */
}

.hidden {
    display: none !important;
}


/*.card {*/
/*    margin-bottom: 20px;*/
/*}*/

.tools_select {
    position: relative;
    font-size: 0.8em;
    width: 50%;
    text-overflow: ellipsis;
    float: right;
}

div.sticky {
    position: -webkit-sticky; /* Safari */
    position: sticky;
    top: 0;
    background-color: green;
    border: 2px solid #4CAF50;
}


/* The spinner */

@keyframes spinner {
    to {
        transform: rotate(360deg);
    }
}

.spinner,
.spinner:before {
    width: 20px;
    height: 20px;
    box-sizing: border-box;
}

.spinner:before {
    content: '';
    display: block;
    border-radius: 50%;
    border: 2px solid #ccc;
    border-top-color: #333;
    animation: spinner .6s linear infinite;
}

.spinner-absolute {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -10px;
    margin-left: -10px;
}

/* Animations */

.spinner-add,
.spinner-remove {
    animation-fill-mode: both;
    animation-duration: .4s;
}

.spinner-add {
    animation-name: spinner-add;
}

@keyframes spinner-add {
    from {
        transform: scale(0);
    }
    to {
        transform: scale(1);
    }
}

.spinner-remove {
    animation-name: spinner-remove;
}

@keyframes spinner-remove {
    to {
        transform: scale(0);
    }
}

.filter {
    top: 3em;
    position: relative;
    /*overflow-y: scroll;*/
    /*overflow-x: hidden;*/
}

#dashboard_content {
    position: relative !important;
}

.formattedvalue {
    overflow: auto;
}

.tools_content {
    position: absolute;
    top: 18em;
    left: 0;
    width: calc(100% - 2em);
    padding: 1em;
    height: calc(100% - 16em);
    overflow-x: hidden;
    overflow-y: auto;
}

.dash-scroll-content {
    overflow-x: hidden;
    overflow-y: auto;
    max-height: 65vh;
}

.search-scroll-area {
    overflow-x: hidden;
    overflow-y: auto;
    max-height: 20vh;
}

.vehicle-scroll-area {
    overflow-x: hidden;
    overflow-y: auto;
    max-height: 80vh;
}

.xpress-scroll-area {
    overflow-x: hidden;
    overflow-y: auto;
    max-height: 80vh;
}

.inactive {
    color: #434343;
    opacity: 0.2;
}

/* DASHBOARD SESSIONS */

.fa-circle-o-notch {
    color: #aa0000;
}

.fa-spin {
    color: #00aaaa;
}

.v_vehicle_key {
    white-space: nowrap;
    text-overflow: ellipsis;
    max-width: calc(100% - 6em);
    overflow: hidden;
    /*
    position: absolute;
    */
}

@media (max-width: 820px) {
    .s-container {
        padding-top: 10rem;
    }
}

@media (max-width: 576px) {
    .s-container {
        padding-top: 10rem;
    }
}

.sticky-footer {
    position: sticky;
    bottom: 0;
    background: white;
    padding: 0.5rem;
    z-index: 2;
}

a {
    color: #0669b2;
    text-decoration: none;
    background-color: transparent;
}

/* END */
